This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 39409 - Redhat Linux 7.0 install crashes on every attempt
Redhat Linux 7.0 install crashes on every attempt
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-07 12:39 EDT by Sudhir Mohith
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-17 11:48:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sudhir Mohith 2001-05-07 12:39:37 EDT
Description of Problem:

The Redhat Linux 7.0 installer crashes during a package install even though there is plenty of disk space on the drives

How Reproducible:

Everytime

Steps to Reproduce:
1. Start custom install 
2. Define partitions with enough space
3. Select Packages to Install
4. During install, it crashes

Actual Results:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
    rc = self.todo.doInstall ()
  
File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1619, in doInstall
    self.createCdrom()
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1189, in createCdrom
    os.symlink(device, self.instPath + "/dev/" + cdname)
OSError: 
[Errno 28] No space left on device

Local variables in innermost frame:
device: hdc
list: ['hdc']
self: <todo.ToDo instance at 842ebd8>
cdname: 
cdrom
count: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


Expected Results:

Successful install

Additional Information:
Comment 1 Brent Fox 2001-05-07 14:51:06 EDT
What partitions are you trying to make and how big are they?
Comment 2 Brock Organ 2001-05-07 15:15:36 EDT
Here is an update from the reporter (via email):

Date: Mon, 7 May 2001 15:09:34 -0400 (EDT)
From: Sudhir Mohith <smohith@transarc.ibm.com>
To: bugzilla@redhat.com
Cc: bfox@redhat.com, borgan@redhat.com
Subject: Re: [Bug 39409] Changed - Redhat Linux 7.0 install crashes on every 
attempt

Using druid I had the following characteristics:

54 MB   /               ext2
54 MB   /var            ext2
1 GB    /usr            ext2
1 GB    /usr/local      ext2
500 MB  /opt            ext2
250 MB  /vol            ext2
500 MB  /home           ext2
2 GB    /extra          DOS
125 MB  <swap>          Linux swap

And I selected packages so that the total size was 850 MB so that my /usr
and/or /usr/local would be sufficient to house them. So I do not know why
it keeps crashing with "Insufficient space on device".

Comment 3 Brent Fox 2001-05-07 15:16:51 EDT
Here's an email from sudhir@royal.net

Using druid I had the following characteristics:

54 MB   /               ext2
54 MB   /var            ext2
1 GB    /usr            ext2
1 GB    /usr/local      ext2
500 MB  /opt            ext2
250 MB  /vol            ext2
500 MB  /home           ext2
2 GB    /extra          DOS
125 MB  <swap>          Linux swap

And I selected packages so that the total size was 850 MB so that my /usr
and/or /usr/local would be sufficient to house them. So I do not know why
it keeps crashing with "Insufficient space on device".
Comment 4 Brent Fox 2001-05-07 15:19:43 EDT
I would recommend making the / partition at least 250 MB of disk space.  Give
that a try and see if that works.
Comment 5 Brent Fox 2001-05-17 11:48:53 EDT
Closing due to inactivity.  Please reopen if the problem persists.

Note You need to log in before you can comment on or make changes to this bug.